bison (2:3.0.4.dfsg-1) unstable; urgency=medium

  * New upstream version. (Closes: #733942, #772653)
  * Update Standards-Version to 3.9.6.0 (no change required).
  * Adopt machine-readable format for debian/copyright.
  * Use /bin/sh as interpreter in preinst. (Closes: #736237)
  * Enable verbose build logs. Thanks to Helmut Grohne <helmut@subdivi.de>
    for the patch. (Closes: #751342)

 -- Chuan-kai Lin <cklin@debian.org>  Wed, 05 Aug 2015 00:05:30 -0700

bison (2:3.0.2.dfsg-2) unstable; urgency=low

  * Fix parallel builds by inhibiting example code extraction in Makefiles
    (Closes: #732034).

 -- Chuan-kai Lin <cklin@debian.org>  Mon, 16 Dec 2013 21:49:59 -0800

bison (2:3.0.2.dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #729745).
  * Update Standards-Version to 3.9.5.0 (no change required).

 -- Chuan-kai Lin <cklin@debian.org>  Mon, 09 Dec 2013 23:14:06 -0800

bison (2:2.7.1.dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #694951, #701388).
  * Update Standards-Version to 3.9.4.0 (no change required).
  * Revise makeinfo inhibit in debian/rules.

 -- Chuan-kai Lin <cklin@debian.org>  Thu, 16 May 2013 10:06:11 -0700

bison (2:2.5.dfsg-3) unstable; urgency=low

  * Bump epoch to downgrade unstable version from 2.6.2.dfsg-1 back to
    2.5.dfsg-3.  Incompatibility in 2.6.2 introduces FTBFS in unstable,
    and we are in a freeze, hence this temporary workaround.  This version
    is identical to 1:2.5.dfsg-2.1 except this changelog file and the new
    version number (Closes: #691928).

 -- Chuan-kai Lin <cklin@debian.org>  Thu, 01 Nov 2012 11:04:49 -0700

bison (1:2.6.2.dfsg-1) unstable; urgency=low

  * New upstream version.
  * Switch build system from CDBS to debhelper v9.
  * Update Standards-Version to 3.9.3.0 (no change required).
  * Add ChangeLog-1998 and ChangeLog-2012 to binary packages.

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 23 Sep 2012 23:01:25 -0700

bison (1:2.5.dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add "Conflicts: liby-dev (= 1:2.5.dfsg-1)" to libbison-dev to ensure
    that this version that should never have existed gets dropped from
    user's systems. Closes: #645038

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 25 Nov 2011 11:35:14 +0100

bison (1:2.5.dfsg-2) unstable; urgency=low

  * Rename liby-dev to libbison-dev to avoid name conflict with Y sound
    server library header files (closes: #644200)

 -- Chuan-kai Lin <cklin@debian.org>  Fri, 07 Oct 2011 22:34:24 -0700

bison (1:2.5.dfsg-1) unstable; urgency=low

  * New upstream release (closes: #631607, #643358)
  * Update Standards-Version to 3.9.2.0
  * Fixed all lintian warnings
  * Convert package to 3.0 (quilt) format
  * Move liby.a to the new liby-dev package for multiarch support.  Thanks
    to Riku Voipio <riku.voipio@iki.fi> for patch (closes: #642081)

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 02 Oct 2011 22:59:24 -0700

bison (1:2.4.1.dfsg-3) unstable; urgency=low

  * Move upstream yacc.1 man page to bison.yacc.1 and let the alternatives
    system manage yacc.1 (closes: #538395)
  * Remove worthless README.Debian file (closes: #536805)
  * Update Standards-Version to 3.8.3.0

 -- Chuan-kai Lin <cklin@debian.org>  Wed, 16 Sep 2009 14:42:36 -0700

bison (1:2.4.1.dfsg-2) unstable; urgency=low

  * Fix copyright file; bison is licensed under GPL-3 (closes: #535165)
  * Update Standards-Version to 3.8.2.0
  * Update to debhelper version 7

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 11 Jul 2009 12:20:04 -0700

bison (1:2.4.1.dfsg-1) unstable; urgency=low

  * New upstream release (closes: #512702)
  * Remove 00_de-po.patch (subsumed by new upstream version)
  * Update Standards-Version to 3.8.0.0
  * Fix typo in bison.yacc.1, thanks to Christer Andersson
    (closes: #455756)
  * Remove --assert-working-epoch check
  * Add dversionmangle to watch file
  * Add misc:Depends dependency for debhelper

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 31 Jan 2009 13:00:10 -0800

bison (1:2.3.dfsg-5) unstable; urgency=low

  * Remove de.gmo when in the clean target (closes: #424144)

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 21 Jul 2007 23:24:03 -0700

bison (1:2.3.dfsg-4) unstable; urgency=low

  * Clean up yacc alternative breakage the right way by detecting with a
    heuristic whether the sysadmin set the yacc alternative to manual
    intentionally; thanks to Sven Joachim for the fix (closes: #384567)

 -- Chuan-kai Lin <cklin@debian.org>  Sat,  2 Sep 2006 01:26:32 -0700

bison (1:2.3.dfsg-3) unstable; urgency=low

  * Clean up the broken yacc alternatives left by bison 2.3.dfsg-1
    (closes: #383971, #382478)

 -- Chuan-kai Lin <cklin@debian.org>  Tue, 22 Aug 2006 22:12:27 -0700

bison (1:2.3.dfsg-2) unstable; urgency=low

  * Suggest instead of Recommend bison-doc (closes: #376662)
  * Apply patch from Justin Pryzby to handle more cases
    in postinst and prerm (closes: #374816)
  * Rename yacc to bison.yacc before packing the binary package
    to make alternatives work correctly (closes: #374574)
  * Apply German PO update from Holger Wansing
    (closes: #375698, #380346)

 -- Chuan-kai Lin <cklin@debian.org>  Wed,  2 Aug 2006 22:09:44 -0700

bison (1:2.3.dfsg-1) unstable; urgency=low

  * New upstream version

 -- Chuan-kai Lin <cklin@debian.org>  Wed,  7 Jun 2006 09:57:42 -0700

bison (1:2.2.dfsg-1) unstable; urgency=low

  * New upstream version (closes: #340012, #354057)
  * Convert build process to CDBS
  * Acknowledge previous NMU (closes: #338833, #309370, #333622)
  * Remove GFDL documentation with Cover Text from source tarball
    and stop generating bison-doc from the bison source package.
    A separate bison-doc source package will be created shortly.
  * Update Standards-Version to 3.7.2.0

 -- Chuan-kai Lin <cklin@debian.org>  Sun,  4 Jun 2006 21:03:41 -0700

bison (1:2.1-0.2) unstable; urgency=medium

  * Fix upgrade to debhelper 4 (closes: #338833).

 -- Matthias Klose <doko@debian.org>  Sun, 13 Nov 2005 10:31:01 +0000

bison (1:2.1-0.1) unstable; urgency=low

  * NMU
  * New upstream version (closes: #333622).
    - Fix SIGSEGV on invalid %parse-param (closes: #309370).
  * Fix epoch in Replaces field (closes: #307947, #325738).
  * debian/*copyright: Update copyright year and FSF address.
  * debian/control: Update standards version to 3.6.2.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Nov 2005 15:10:43 +0100

bison (1:2.0-2) unstable; urgency=low

  * Upload to unstable after sarge release
    (closes: #273366, #297197, #303056)
  * Bump watch file version

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 13 Aug 2005 21:21:42 -0700

bison (1:2.0-1) experimental; urgency=low

  * New upstream version (closes: #297197)
  * Separate Info and Postscript documents into bison-doc
    package (closes: #273366)
  * Add watch file

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 19 Mar 2005 11:36:15 -0800

bison (1:1.875d-1) unstable; urgency=low

  * New maintainer (closes: #282074)
  * New upstream version
    (closes: #168069, #194156, #239358, #200563, #123083)
  * Acknowledge previous NMU (closes: #281673, #218478, #274348)
  * Remove upstream Makefile generated yacc script (closes: #179489)
  * Incorporate patch for yylloc renaming (closes: #195946)
  * Prevent removal of yacc compatibility library (closes: #208320)
  * Incorporate dutch translation (closes: #272484)

 -- Chuan-kai Lin <cklin@debian.org>  Mon, 22 Nov 2004 13:47:17 -0800

bison (1:1.875a-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Mention GFDL in copyright (Closes: #281673)
  * Clean-up:
    + Further enhancements to the copyright file.
      Include the short AUTHORS file and don't install it separatly.
    + Add debhelper token to preinst (changes nothing)
    + Remove useless postrm (Closes: #274348)

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 18 Nov 2004 15:12:51 +0100

bison (1:1.875a-1.1) unstable; urgency=low

  * NMU
  * If recompiled on sid with /usr/sbin in $PATH the package would contain
    /usr/share/info/dir.gz (Closes: #218478)

 -- Andreas Metzler <ametzler@debian.org>  Wed, 17 Mar 2004 14:33:32 +0100

bison (1:1.875a-1) unstable; urgency=low

  * new upstream code; (Closes: #176535).

 -- Vincent Renardias <vincent@debian.org>  Tue, 11 Feb 2003 11:00:38 +0100

bison (1:1.875-3) unstable; urgency=low

  * build depend on m4 (Closes: #177145).

 -- Vincent Renardias <vincent@debian.org>  Fri, 17 Jan 2003 16:59:07 +0100

bison (1:1.875-2) unstable; urgency=low

  * Thanks to Ian Zimmerman to point out the useless
    dependancies (Closes: #177119).
  * Also fixes (Closes: #176060, #167725, #166380)

 -- Vincent Renardias <vincent@debian.org>  Fri, 17 Jan 2003 10:11:13 +0100

bison (1:1.875-1) unstable; urgency=low

  * New upstream version
    (Closes: #102878, #130879, #130890, #131075, #165349, #166274, #168192).
  * Add manpage for bison.yacc (Closes: #174684).
  * update texinfo.tex.

 -- Vincent Renardias <vincent@debian.org>  Thu,  9 Jan 2003 09:46:47 +0100

bison (1:1.75-1) unstable; urgency=low

  * New upstream version (Closes: #165383).

 -- Vincent Renardias <vincent@debian.org>  Fri, 18 Oct 2002 19:42:56 +0200

bison (1:1.50-3) unstable; urgency=low

  * add dependancy on m4 (Closes: #164317).

 -- Vincent Renardias <vincent@debian.org>  Fri, 11 Oct 2002 18:11:39 +0200

bison (1:1.50-2) unstable; urgency=low

  * include missing doc files (Closes: #164128).

 -- Vincent Renardias <vincent@debian.org>  Thu, 10 Oct 2002 14:39:54 +0200

bison (1:1.50-1) unstable; urgency=low

  * new upstream version.
  * Closes: #113365 (Can't reproduce and never answered my email).
  * fix alternatives (Closes: #146191).
  * fix manpage (Closes: #131966).

 -- Vincent Renardias <vincent@debian.org>  Wed,  9 Oct 2002 11:14:48 +0200

bison (1:1.35-3) unstable; urgency=low

  * Add build-dep on gettext (Closes: #141109).
  * #141072 was fixed by last upload (Closes: #141072).

 -- Vincent Renardias <vincent@debian.org>  Thu,  4 Apr 2002 12:25:49 +0200

bison (1:1.35-2) unstable; urgency=low

  * Back from weekend home, ACK NMU
    (Closes: #130914, #133487, #140028, #125660, #89826).
  * Ugly workaround to fix serious bug introduced by NMU
    (Closes: #141029).

 -- Vincent Renardias <vincent@debian.org>  Wed,  3 Apr 2002 12:16:54 +0200

bison (1:1.35-0.1) unstable; urgency=low

  * Non Maintainer Upload.
  * New upstream release (Closes: #130914)
  * Added GPL version (Closes: #133487)
  * Added correct build-depends (Closes: #140028)
  * Added big note in README.Debian about -d autonaming stuff; I'm not about
    to go hacking around in the code in an NMU.
    FYI: Bison now names output as follows:
    parser.c	=> parser.h
    parser.cpp	=> parser.hpp
    parser.*	=> parser.output
    (Closes: #125660, #89826)

 -- Thom May <thom@debian.org>  Tue,  2 Apr 2002 10:02:46 +0100

bison (1:1.34-1) unstable; urgency=low

  * new upstream version.

 -- Vincent Renardias <vincent@debian.org>  Wed, 13 Mar 2002 10:40:20 +0100

bison (1:1.33-1) unstable; urgency=high

  * new upstream version.
    (bugs #130914,#130890 _should_ be fix, can people please test?)

 -- Vincent Renardias <vincent@debian.org>  Fri,  8 Feb 2002 11:39:21 +0100

bison (1:1.32-3) unstable; urgency=high

  * remove bad patch at upstream's request.

 -- Vincent Renardias <vincent@debian.org>  Tue, 29 Jan 2002 18:25:56 +0100

bison (1:1.32-2) unstable; urgency=high

  * Include patch from Andrew Suffield <asuffield@debian.org> (Thanks Andrew!)
    to fix autoconf problem (Closes: #130328).

 -- Vincent Renardias <vincent@debian.org>  Mon, 28 Jan 2002 14:41:17 +0100

bison (1:1.32-1) unstable; urgency=high

  * New upstream source.
  * Fix several segfaults when reading incorrect input file
    (Closes: #126532, #122994, #129483, #126136, #59855).
  * FAQ+Doc included (Closes: #60860).

 -- Vincent Renardias <vincent@debian.org>  Wed, 23 Jan 2002 16:24:32 +0100

bison (1:1.31-2) unstable; urgency=high

  * Yacc complience again. (Closes: #129619)
    (Patch from Pete Ryland <pdr@pdr.cx>).

 -- Vincent Renardias <vincent@debian.org>  Mon, 14 Jan 2002 12:25:47 +0100

bison (1:1.31-1) unstable; urgency=low

  * New upstream source.

 -- Vincent Renardias <vincent@debian.org>  Mon, 14 Jan 2002 12:25:47 +0100

bison (1:1.30-4.1) unstable; urgency=low

  * NMU
  * Add missing-newline to -v output.  Closes: #126136, #127219, #127662.

 -- LaMont Jones <lamont@debian.org>  Sun,  6 Jan 2002 21:16:27 -0700

bison (1:1.30-4) unstable; urgency=high

  * Fix build process (Serious bug) (Closes: #122880, #122885).

 -- Vincent Renardias <vincent@debian.org>  Mon, 10 Dec 2001 17:08:18 +0100

bison (1:1.30-3) unstable; urgency=low

  * bison.simple appears to be fixed. (Closes: #61054, #76330).
  * Appears to be fixed in version 1.30 (Closes: #107599).

 -- Vincent Renardias <vincent@debian.org>  Fri,  7 Dec 2001 10:02:58 +0100

bison (1:1.30-2) unstable; urgency=high

  * Add tetex-bin to build-depends to fix 'serious bug' (Closes: #122746).

 -- Vincent Renardias <vincent@debian.org>  Fri,  7 Dec 2001 09:43:59 +0100

bison (1:1.30-1) unstable; urgency=low

  * New upstream version.
  * Fix URL (Closes: #109495)
  * Fixed and reported upstream (Closes: #95915)
  * ACK NMU (Closes: #98038)
  * Add build-depends (Closes: #99759)

 -- Vincent Renardias <vincent@debian.org>  Thu,  6 Dec 2001 12:11:11 +0100

bison (1:1.28-8.1) unstable; urgency=low
 
  * Non-maintainer upload.
  * Upgrade to latest config.sub and config.guess.  Closes: #98038
 
 -- Gerhard Tonn <gt@debian.org>  Fri,  1 Jun 2001 20:38:43 +0200
                                              
bison (1:1.28-8) unstable; urgency=low

  * Put back yacc alternative left out by transition to debhelper
    (Closes: #87647).

 -- Vincent Renardias <vincent@debian.org>  Tue, 27 Feb 2001 19:56:53 +0100

bison (1:1.28-7) unstable; urgency=low

  * Ran quickly after the bison.simple file, caught it, and put it back in
    the package (Closes: #87523, #87550, #87807, #87715).

 -- Vincent Renardias <vincent@debian.org>  Mon, 26 Feb 2001 18:10:37 +0100

bison (1:1.28-6) unstable; urgency=low

  * Now used debhelper instead of debstd (Closes: #61196, #69335, #70216).
  * Make lintian happy (ie: FHS transition *blush*).
  * (Closes: #53345, #58728).
  * Add FAQ + PS Doc (Closes: #86211, #608600).

 -- Vincent Renardias <vincent@debian.org>  Sat, 24 Feb 2001 19:18:46 +0100

bison (1:1.28-5) unstable; urgency=low

  * fixed md5sums.
    closes: #53258: bison: removed manpage still in md5sums.

 -- Vincent Renardias <vincent@debian.org>  Wed, 22 Dec 1999 19:40:57 +0100

bison (1:1.28-4) unstable; urgency=low

  * remove ansi2knr.1:
    closes: #53102: bison: Extra manpage included.

 -- Vincent Renardias <vincent@debian.org>  Mon, 20 Dec 1999 13:14:14 +0100

bison (1:1.28-3) unstable; urgency=low

  * Corrected ./configure parameters so that bison.{simple,hairy}
    get installed at the correct place.

 -- Vincent Renardias <vincent@debian.org>  Tue, 28 Sep 1999 13:24:38 +0200

bison (1:1.28-2) unstable; urgency=low

  * debstd is FHS compliant, so now bison is fully FHS compliant.
    Closes: #43966, #43969, #45645
  * Added ja.po.  Closes: #44068
  * Thanks to Adam Heath <doogie@debian.org> for preparing this patch.

 -- Vincent Renardias <vincent@debian.org>  Mon, 27 Sep 1999 16:31:23 +0200

bison (1:1.28-1) unstable; urgency=low

  * New upstream version.

 -- Vincent Renardias <vincent@debian.org>  Wed,  1 Sep 1999 19:16:33 +0200

bison (1:1.27-2) unstable; urgency=low

  * Include 'NEWS' file in /usr/doc (closes: bug #40602).
  * Corrected bison(1) manpage to reflet correct location of
    bison.{hairy,simple} files (closes: bug #35268).

 -- Vincent Renardias <vincent@debian.org>  Mon, 30 Aug 1999 17:21:21 +0200

bison (1:1.27-1) unstable; urgency=low

  * New upstream version (closes bug: #40568).

 -- Vincent Renardias <vincent@debian.org>  Thu,  1 Jul 1999 17:44:18 +0200

bison (1:1.25.90-2) unstable; urgency=low

  * Updated my email address.

 -- Vincent Renardias <vincent@debian.org>  Thu, 31 Dec 1998 18:56:47 +0100

bison (1:1.25.90-1) unstable; urgency=low

  * New upstream version.
  * Re-added the OpenBSD security patch that did not make it
    upstream yet.

 -- Vincent Renardias <vincent@waw.com>  Thu, 31 Dec 1998 18:56:47 +0100

bison (1:1.25-13) frozen unstable; urgency=low

  * Apply patch contributed by Topi Miettinen so that bison now honours
    the $TMPDIR variable (Fix bug #24888).
  * make clean now cleans better (Fix bug #25468).
  * Added patch contributed by Cesar Barros to avoid a conflict when
    YYPARSE_PARAM is defined. (Fix bug #30616).
  * This clears all the outstanding bugs reported on this package.

 -- Vincent Renardias <vincent@waw.com>  Sun, 20 Dec 1998 00:05:17 +0100

bison (1:1.25-12) unstable; urgency=low

  * Correct postrm script (Bug #23505).

 -- Vincent Renardias <vincent@waw.com>  Mon, 15 Jun 1998 11:54:01 +0200

bison (1:1.25-11) unstable; urgency=low

  * Updated debian-std version to 2.4.0.0
  * Fix pbm w.r.t. md5sums (Bugs #19276, #18681).
  * Update FSF address (Bug #18064).
  * Move bison.{simple,hairy} to /usr/share/misc.
  * Add a manpage link to bison.yacc.
  * Updated description. 
  * This fixes all the lintian detected bugs.

 -- Vincent Renardias <vincent@waw.com>  Sat, 14 Mar 1998 19:07:18 +0100

bison (1:1.25-10) unstable; urgency=low

  * Compressed changelog.Debian file (Fix bug #14615).

 -- Vincent Renardias <vincent@waw.com>  Sun, 9 Nov 1997 21:16:01 +0100

bison (1:1.25-9) unstable; urgency=low

  * Corrected info files installation (Fix bug #9737).

 -- Vincent Renardias <vincent@waw.com>  Mon, 12 May 1997 20:00:21 +0200

bison (1:1.25-8) unstable; urgency=low

  * Cosmetic changes (Fix bug #9659).

 -- Vincent Renardias <vincent@waw.com>  Fri,  9 May 1997 14:30:22 +0200

bison (1:1.25-7) unstable; urgency=low

  * Rebuilt with libc6.

 -- Vincent Renardias <vincent@waw.com>  Thu, 1 May 1997 21:58:08 +0200

bison (1:1.25-6) unstable; urgency=low

  * Corrected buglet in '/usr/bin/yacc' script (Bug #9015).

 -- Vincent Renardias <vincent@waw.com>  Sat, 26 Apr 1997 16:11:02 +0200

bison (1:1.25-5) unstable; urgency=low

  * Added diversion for '/usr/bin/yacc' (Bug #8086).

 -- Vincent Renardias <vincent@waw.com>  Sun, 20 Apr 1997 16:45:46 +0200

bison (1:1.25-4) unstable; urgency=low

  * Made yacc script executable... (Bug #7517)

 -- Vincent Renardias <vincent@waw.com>  Fri, 21 Feb 1997 23:02:39 +0100

bison (1:1.25-3) unstable; urgency=low

  * Added a preinst check to make sure dpkg has epoch stuff
    working right.

 -- Vincent Renardias <vincent@waw.com>  Sun, 16 Feb 1997 00:42:42 +0100

bison (1:1.25-2) unstable; urgency=low

  * Provide a correct '/usr/bin/yacc' script (Fixes Bug #3955).

 -- Vincent Renardias <vincent@waw.com>  Sun, 16 Feb 1997 00:02:40 +0100

bison (1:1.25-1) unstable; urgency=low

  * Released into 'unstable'.
    (Previous was experimental)

 -- Vincent Renardias <vincent@waw.com>  Thu, 13 Feb 1997 04:00:52 +0100

bison (1.25-1) experimental; urgency=low

  * Initial Release of "standard GNU" version of bison.
  * Replaces bison-A2.6 formerly used for Debian.
  * Added "Conflicts: bison-parsers" in control file.
    (Nothing seems to provide this by now, but I keep it
    for backward compatibility.)

 -- Vincent Renardias <vincent@waw.com>  Mon, 10 Feb 1997 01:52:36 +0100
